SOLVESPACE(1)

NAME
solvespace - parametric 2d/3d CAD

SYNOPSIS
solvespace-cli <command> [options] <filename>

DESCRIPTION
solvespace is a parametric 2d/3d CAD program. Applications include:

  * modeling 3d parts — draw with extrudes, revolves, and Boolean
    (union / difference) operations;
  * modeling 2d parts — draw the part as a single section, and export DXF,
    PDF, SVG; use 3d assembly to verify fit;
  * 3d-printed parts — export the STL or other triangle mesh expected by
    most 3d printers;
  * preparing CAM data — export 2d vector art for a waterjet machine or
    laser cutter; or generate STEP or STL, for import into third-party
    CAM software for machining;
  * mechanism design — use the constraint solver to simulate planar or
    spatial linkages, with pin, ball, or slide joints;
  * plane and solid geometry — replace hand-solved trigonometry and
    spreadsheets with a live dimensioned drawing.

COMMON OPTIONS

-o, --output <pattern>
    For an input file <name>.slvs, replaces the '%' symbol in <pattern> with <name> and uses it as output file. For example, when using --output %-2d.png for input files f/a.slvs and f/b.slvs, output files f/a-2d.png and f/b-2d.png will be written.

-v, --view <direction>
    Selects the camera direction. <direction> can be one of "top", "bottom", "left", "right", "front", "back", or "isometric".

-t, --chord-tol <tolerance>
    Selects the chord tolerance, used for converting exact curves to piecewise linear, and exact surfaces into triangle meshes. For export commands, the unit is mm, and the default is 1.0 mm. For non-export commands, the unit is %, and the default is 1.0 %.

COMMANDS

thumbnail --output <pattern> --size <size> --view <direction> [--chord-tol <tolerance>]
    Outputs a rendered view of the sketch, like the SolveSpace GUI would. <size> is <width>x<height>, in pixels. Graphics acceleration is not used, and the output may look slightly different from the GUI.

export-view --output <pattern> --view <direction> [--chord-tol <tolerance>]
    Exports a view of the sketch, in a 2d vector format.

export-wireframe --output <pattern> [--chord-tol <tolerance>]
    Exports a wireframe of the sketch, in a 3d vector format.

export-mesh --output <pattern> [--chord-tol <tolerance>]
    Exports a triangle mesh of solids in the sketch, with exact surfaces being triangulated first.

export-surfaces --output <pattern>
    Exports exact surfaces of solids in the sketch, if any.

regenerate [--chord-tol <tolerance>]
    Reloads all imported files, regenerates the sketch, and saves it. Note that, although this is not an export command, it uses absolute chord tolerance, and can be used to prepare assemblies for export.

FILE FORMATS

thumbnail:
        PNG image (png)

export-view:
        PDF file (pdf)
        Encapsulated PostScript (eps, ps)
        Scalable Vector Graphics (svg)
        STEP file (step, stp)
        DXF file (AutoCAD 2007) (dxf)
        HPGL file (plt, hpgl)
        G Code (ngc, txt)

export-wireframe:
        STEP file (step, stp)
        DXF file (AutoCAD 2007) (dxf)

export-mesh:
        STL mesh (stl)
        Wavefront OBJ mesh (obj)
        Three.js-compatible mesh, with viewer (html)
        Three.js-compatible mesh, mesh only (js)
        Q3D Object file (q3do)
        VRML text file (wrl)

export-surfaces:
        STEP file (step, stp)

AUTHORS
This manual page was written by Alexander Pozdnyakov <almipo@mail.ru>,